#ifndef CCCONFIG_H_
#define CCCONFIG_H_

class CcConfig
{
public:
	CcConfig();
	virtual ~CcConfig();
	
	bool getCcActive(){return ccActive;}
	int getCcType();
	void setCcType(int type);
	void setCcActive(bool isActive);
	int getCcOsdPosX(){return ccOsdPosX;}
	int getCcOsdPosY(){return ccOsdPosY;}
	int getCcOsdHeight(){return ccOsdHeight;}
	int getCcOsdWidth(){return ccOsdWidth;}
	void cloneFrom(CcConfig &source);	
	bool storeParameter(const char *Name, const char *Value);
			
private:
	int ccType;
	bool ccActive;
	int ccOsdPosX, ccOsdPosY;
	int ccOsdWidth, ccOsdHeight;
};

#endif /*CCCONFIG_H_*/
