#ifndef CCOSD_H_
#define CCOSD_H_

#include <linux/dvb/frontend.h>
#include <sys/time.h>
#include <sys/ioctl.h>
#include <vdr/osd.h>
#include <vdr/thread.h>
#include <vdr/status.h>
#include <vdr/channels.h>
#include <vdr/transfer.h>
#include <vdr/osdcontroller.h>
#include "CcStatus.h"
#include "CcProcessor.h"

using namespace NonInteractiveOsdPatch;
class CcStatus;

class CcOsd : public cOsdListener{
public:
	CcOsd(CcStatus *s);
	void Init();
	virtual ~CcOsd();
protected:	
	virtual void Show();
  virtual void Hide();
private:
	void ClearScreen();
private:
	bool showOsd;
	CcStatus *status;
	CcProcessor *worker;
};

#endif /*CCOSD_H_*/
